import { DataWithHistory } from "./data.model";
import { Server, ServerFilter } from "./server.model";

export interface AchievementAttribute {
  name?: string;
  type?: string;
}

export interface Achievement extends DataWithHistory {
  id?: number;
  name?: string;
  description?: string;
  attribute?: string | AchievementAttribute;
  operator?: string;
  value?: string;
  server?: Server;

  createdAt?: string;
}

export interface AchievementFilter {
  id?: number;
  name?: string;
  description?: string;
  attribute?: string;
  operator?: string;
  value?: string;
  server?: ServerFilter;
}
